# Note that this is NOT a relocatable package

Summary: GNOME virtual file-system libraries
Name: gnome-vfs
Version: 0.3.1
Release: 7mdk
Copyright: LGPL
Group: System/Libraries
BuildRequires: XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel control-center-devel esound-devel GConf-devel imlib-devel oaf-devel popt-devel zlib-devel bzip2 libxml-devel
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}//%{name}-%{version}-root
Requires: glib >= 1.2.4
Requires: oaf >= 0.3.0
Requires: control-center
Requires: GConf, ORBit
BuildRequires: control-center-devel
BuildRequires: GConf-devel, ORBit-devel, oaf-devel

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.
%package devel
Summary: Libraries and include files for developing GNOME VFS applications.
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}
Requires: oaf-devel

%description devel
GNOME VFS development 


%prep
%setup -q

%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif


%configure $MYARCH_FLAGS


%make

%install
rm -rf $RPM_BUILD_ROOT
 
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_libdir}/lib*.so.*
%{_libdir}/vfs/extfs
%{_libdir}/vfs/modules/lib*.so*
%{_mandir}/man5/*
#%{_datadir}/gnome/apps/Settings/*
%{_datadir}/gnome/html/*
%{_datadir}/control-center/*
%{_datadir}/mime-info/*


%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/vfs/modules/*.a
%{_libdir}/vfs/include
%{_includedir}/libgnomevfs/*

%changelog
* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-7mdk
- added requirements on GConf, control-center and others

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-6mdk
- rebuilded with libxml instead of libxml2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-5mdk
- added *.so in devel package

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Rebuild with new version of rpm macros (fix bad rpath)

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Add more files to packages

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- Move .so files to main package until libraries are correctly build

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Remove obsolete patch

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- first Mandrake package : BM + macroszification
- patch to correctly install libgnomevfs/gnome-vfs-file-size.h

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
